Get giveaway
GET
/api/giveaways/{id}One giveaway.
Needs the ViewGiveaways permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/api/giveaways/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "prize": "string", "opensAt": "2019-08-24T14:15:22Z", "closesAt": "2019-08-24T14:15:22Z", "drawAt": null, "winnerCount": 0, "entryWay": "string", "emoji": "string", "rules": null, "ruleLines": [ "string" ], "exclusions": null, "exclusionLines": [ "string" ], "weighting": "string", "weightCap": null, "postToChannel": true, "channelId": null, "state": "string", "seedPromise": "string", "drawCount": 0, "entryCount": 0, "version": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "openedAt": null, "closedAt": null, "post": null, "draws": [ { "id": "string", "number": 0, "drawnAt": "2019-08-24T14:15:22Z", "drawnBy": null, "seed": "string", "seedPromise": "string", "seedKept": true, "winnerCount": 0, "ruleLines": [ "string" ], "exclusions": [ "string" ], "weighting": "string", "weightCap": null, "entrantCount": 0, "inDrawCount": 0, "totalWeight": 0, "fromPolledData": true, "closeCalls": 0, "winners": [ { "position": 0, "key": "string", "vrChatUserId": null, "discordUserId": null, "name": null, "weight": 0, "measured": 0.1, "keptOut": "string", "keptOutLabel": "string", "because": null, "fromPolledData": true, "closeCall": true, "winnerRank": null, "purged": true } ] } ]}